/*\
         Ariadna project folder creator 
\*/

parse source . . cmd_name
curr_dir=FILESPEC('D',cmd_name)FILESPEC('P',cmd_name)

Call RxFuncAdd 'SysLoadFuncs','REXXUTIL','SysLoadFuncs';
Call SysLoadFuncs;

Say ''
Say 'Creating Ariadna project folder...'
classname='WPFolder'
title    ='Ariadna project'
location ='<WP_DESKTOP>'
setup    ='OBJECTID=<ARIADNA_FOLDER>;'||,
          'ALWAYSSORT=YES;'
call BldObj
Say 'Ok'

Say 'Creating Graphical Editor Application Object...'
classname='WPProgram'
title    ='Graphical object editor (signal version)'
location ='<ARIADNA_FOLDER>'
setup    ='OBJECTID=<GOESV_APP>;'||,
          'EXENAME='curr_dir'ariadna.exe;'||,
	  'PARAMETERS=%;'||,
          'STARTUPDIR='curr_dir';'||,
          'PROGTYPE=PM;'||,
          'ICONFILE='curr_dir'wetpaint.ico;'

Call BldObj
Say 'OK'

Say 'Create help object...'
classname='WPProgram'
title    ='User manual'
location ='<ARIADNA_FOLDER>'
setup    ='OBJECTID=<USER_MANUAL>;'||,
          'EXENAME=view.exe;'||,
	  'PARAMETERS='curr_dir'ariadna.inf;'||,
          'STARTUPDIR='curr_dir';'||,
          'PROGTYPE=PM;'

Call BldObj
Say 'OK'
return

BldObj:
result = SysCreateObject(classname, title, location, setup, 'U')
If result \= 1 Then 
   Do
      say title'...   Not created! Return code='result
      pause
   End

Say '';
Return




